Bug 162287 - editors/libreoffice not build
Summary: editors/libreoffice not build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-04 10:30 UTC by vsityz
Modified: 2011-11-07 08:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vsityz 2011-11-04 10:30:10 UTC
editors/libreoffice not build

----------------------------------------------------------
- start unit test #1 on library ../../../unxfbsd.pro/lib/libqa_rtl_oustringbuffer.so
----------------------------------------------------------
: &&     LD_LIBRARY_PATH=/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/clone/ure/sal/unxfbsd.pro/lib:/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/solver/340/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}   ../../../unxfbsd.pro/bin/cppunittester ../../../unxfbsd.pro/lib/libqa_rtl_oustringbuffer.so
OK (3)
Entering /var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/sal/qa/osl/security

Compiling: sal/unxfbsd.pro/misc/rtl_cipher_version.c
Compiling: sal/qa/rtl/cipher/rtl_cipher.cxx
Compiling: sal/unxfbsd.pro/misc/osl_Security_version.c
Compiling: sal/qa/osl/security/osl_Security.cxx
/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/clone/ure/sal/qa/rtl/cipher/rtl_cipher.cxx:652: warning: unused parameter 'argc'
/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/clone/ure/sal/qa/rtl/cipher/rtl_cipher.cxx:652: warning: unused parameter 'argv'
/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/clone/ure/sal/qa/osl/security/osl_Security.cxx:697: warning: unused parameter 'argc'
/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/clone/ure/sal/qa/osl/security/osl_Security.cxx:697: warning: unused parameter 'argv'
Making:    libosl_Security.so
----------------------------------------------------------
- start unit test #1 on library ../../../unxfbsd.pro/lib/libosl_Security.so
----------------------------------------------------------
: &&     LD_LIBRARY_PATH=/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/clone/ure/sal/unxfbsd.pro/lib:/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/solver/340/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}   ../../../unxfbsd.pro/bin/cppunittester ../../../unxfbsd.pro/lib/libosl_Security.so
#Initializing ...
#
#logonUser function need root/Administrator account to test.
#You can test by login with root/Administrator, and excute:
#testshl2 -forward "username password" ../../../wntmsci9/bin/Security.dll
#      where username and password are forwarded account info.
#if no text forwarded, this function will be skipped.
#
#Retrived system information is below:
Computer Name:              Not retrived
Current User Name:          root
Current User Home Directory:file:///root
Current Config Directory:   file:///root
Current UserID:             0
Current User is:            Administrator.
#
#Initialization Done.
osl_Security.cxx:216:Assertion
Test name: osl_Security::getHomeDir::getHomeDir_001
assertion failed
- Expression: ( sal_True == strHomeDirectory.equals( strHome ) ) && ( sal_True
== bRes )
- #test comment#: getHomeDir and compare it with the info we get at the beginni
ng.

Failures !!!
Run: 10   Failure total: 1   Failures: 1   Errors: 0
dmake:  Error code 1, while making 'test1'
Making:    librtl_cipher.so
----------------------------------------------------------
- start unit test #1 on library ../../../unxfbsd.pro/lib/librtl_cipher.so
----------------------------------------------------------
: &&     LD_LIBRARY_PATH=/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/clone/ure/sal/unxfbsd.pro/lib:/var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/solver/340/unxfbsd.pro/lib${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}   ../../../unxfbsd.pro/bin/cppunittester ../../../unxfbsd.pro/lib/librtl_cipher.so
OK (24)

-----------------------------------------------------------------------
        Oh dear - something failed during the build - sorry !
  For more help with debugging build errors, please see the section in:
            http://wiki.documentfoundation.org/Development

  internal build errors:

ERROR: error 65280 occurred while making /var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/sal/qa/osl/security

 it seems that the error is inside 'sal', please re-run build
 inside this module to isolate the error and/or test your fix:
-----------------------------------------------------------------------

rm -Rf /var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2/sal/unxfbsd.pro # optional module 'clean'
/bin/bash
cd /var/tmp/usr/ports/editors/libreoffice/work/libreoffice-bootstrap-3.4.3.2
source ./FreeBSDAMDEnv.Set.sh
cd sal
build

when the problem is isolated and fixed exit and re-run 'make' from the top-level
gmake: *** [all] ERROR 1
*** Error code 1

Stop in /usr/ports/editors/libreoffice.
*** Error code 1

Stop in /usr/ports/editors/libreoffice.

===>>> make failed for editors/libreoffice
===>>> Aborting update


===>>> You can restart from the point of failure with this command line:
       portmaster <flags> editors/libreoffice

How-To-Repeat: portmaster editors/libreoffice  
   or 
/usr/ports/editors/libreoffice && make install
Comment 1 Edwin Groothuis freebsd_committer 2011-11-04 10:30:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2011-11-06 16:01:25 UTC
State Changed
From-To: open->closed

this was fixed few days back.
Comment 3 vsityz 2011-11-07 08:07:30 UTC
Fix:

if build port in the sudo mode

# cat /usr/local/etc/sudoers
root ALL=(ALL) ALL
%sudo   ALL=(ALL) ALL
Defaults env_keep += "HOME"

port isn`t building


if to do "su -",  port building without errors


-- 
Best regards
Alexander Panyushkin